## About

MySQL provides connectivity for client applications developed in .NET compatible programming languages with MySQL Connector/NET through a series of packages.

MySql.Data.EntityFramework adds support for cross-platform application deployment with the Entity Framework 6.4 version, and it is compatible with .NET Framework 4.6.2.

More information at [MySQL Connector/NET documentation](https://dev.mysql.com/doc/connector-net/en/).

## How to use

To get more information about configuration and use of the package, please visit [EntityFramework 6 support](https://dev.mysql.com/doc/connector-net/en/connector-net-entityframework60.html).

## Related Packages

* Core package: [MySql.Data](https://www.nuget.org/packages/MySql.Data)
* Entity Framework Core: [MySql.EntityFrameworkCore](https://www.nuget.org/packages/MySql.EntityFrameworkCore/)
* Web: [MySql.Web](https://www.nuget.org/packages/MySql.Web)
* OpenTelemetry: [MySql.Data.OpenTelemetry](https://www.nuget.org/packages/MySql.Data.OpenTelemetry)

## Contributing

There are a few ways to contribute to the Connector/NET code. Please refer to the [contributing guidelines](https://github.com/mysql/mysql-connector-net/blob/8.x/CONTRIBUTING.md) for additional information.

### Additional Resources

* [MySQL](http://www.mysql.com/)
* [MySQL Connector/NET GitHub](https://github.com/mysql/mysql-connector-net)
* [MySQL Connector/NET API](https://dev.mysql.com/doc/dev/connector-net/latest/)
* [MySQL Connector/NET Discussion Forum](https://forums.mysql.com/list.php?38)
* [MySQL Public Bug Tracker](https://bugs.mysql.com)
* [`#connectors` channel in MySQL Community Slack](https://mysqlcommunity.slack.com/messages/connectors) ([Sign-up](https://lefred.be/mysql-community-on-slack/) required when not using an Oracle account)
* For more information about this and other MySQL products, please visit [MySQL Contact & Questions](http://www.mysql.com/about/contact/).